List runtime logs
curl --request GET \
--url https://api.reintersect.com/v0/apps/{appId}/logs \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.reintersect.com/v0/apps/{appId}/logs"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.reintersect.com/v0/apps/{appId}/logs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.reintersect.com/v0/apps/{appId}/logs",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.reintersect.com/v0/apps/{appId}/logs"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.reintersect.com/v0/apps/{appId}/logs")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.reintersect.com/v0/apps/{appId}/logs")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_bodyDeploy
List runtime logs
Read recent runtime logs of a Reintersect-hosted app.
GET
/
v0
/
apps
/
{appId}
/
logs
List runtime logs
curl --request GET \
--url https://api.reintersect.com/v0/apps/{appId}/logs \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.reintersect.com/v0/apps/{appId}/logs"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.reintersect.com/v0/apps/{appId}/logs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.reintersect.com/v0/apps/{appId}/logs",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.reintersect.com/v0/apps/{appId}/logs"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.reintersect.com/v0/apps/{appId}/logs")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.reintersect.com/v0/apps/{appId}/logs")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body
Returns recent log entries of a hosted app, newest first, kept for seven days.
reintersect logs
reads this endpoint.
Authenticate with a member API key of the app’s owner or of a workspace owner or admin, a deploy
token for this app, or an agent builder token for an app the member owns. Any other caller gets
ReintersectAppNotFoundError.
Query
| Parameter | Description |
|---|---|
limit | 1 to 200. |
after | ISO 8601: only entries received after this time. |
Response
{ items }, each entry:
| Field | Description |
|---|---|
deliveryId, installId | The delivery and install, or null for route requests. |
versionId | The version that ran. |
outcome | How the request ended, such as ok or exception. |
receivedAt | ISO 8601. |
cpuTimeMs, wallTimeMs | CPU and wall time. |
logs | { level, message, timestamp }[], at most 50. |
exceptions | { name, message, timestamp }[], at most 10. |
droppedLogs, truncated | What didn’t fit. |
Errors
_tag | Status | Cause |
|---|---|---|
ReintersectAppNotFoundError | 404 | No such app, or you may not manage it. |
ReintersectAppNotHostedError | 422 | The app is self-hosted. |